package hmggirlfront;

import hmggirlfront.items.ItemDollCore;
import hmggirlfront.items.ItemDollGunBase;
import hmggirlfront.items.ItemDollGun_AR;
import net.minecraft.item.Item;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.event.RegistryEvent;

public class GFItemGunSMG_Registry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		net.minecraftforge.fml.common.ProgressManager.ProgressBar bar= net.minecraftforge.fml.common.ProgressManager.push("GF_SMG_Loading", 34, true);
		{//start
			mod.dollgun_t100	= new ItemDollGun_AR().setUnlocalizedName("dollgun_t100")
					.setRegistryName(mod.MOD_ID, "dollgun_t100").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_t100;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/t100.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/t100.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_t100;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_t100);
		    {
				 mod.core_t100	= new ItemDollCore(228, mod.dollgun_t100,  null).setUnlocalizedName("core_t100")
				    		.setRegistryName(mod.MOD_ID, "core_t100").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_t100;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_t100;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_t100;
					 ++mod.smg_id;
				 }
				   
				    event.getRegistry().register(mod.core_t100);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_t100;
		    	gun.doll_core = mod.core_t100;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_m10	= new ItemDollGun_AR().setUnlocalizedName("dollgun_m10")
					.setRegistryName(mod.MOD_ID, "dollgun_m10").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m10;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/m10.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/m10.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m10;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m10);
		    {
				 mod.core_m10	= new ItemDollCore(25, mod.dollgun_m10,  null).setUnlocalizedName("core_m10")
				    		.setRegistryName(mod.MOD_ID, "core_m10").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m10;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m10;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_m10;
					 ++mod.smg_id;
				 }
				   
				    event.getRegistry().register(mod.core_m10);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m10;
		    	gun.doll_core = mod.core_m10;
		    }
		}bar.step("gun load");//end
		{
			mod.dollgun_mp40	= new ItemDollGun_AR().setUnlocalizedName("dollgun_mp40")
					.setRegistryName(mod.MOD_ID, "dollgun_mp40").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mp40;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/mp40.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/mp40.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_mp40;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_mp40);
		    {
				 mod.core_mp40	= new ItemDollCore(25, mod.dollgun_mp40,  null).setUnlocalizedName("core_mp40")
				    		.setRegistryName(mod.MOD_ID, "core_mp40").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_mp40;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mp40;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_mp40;
					 ++mod.smg_id;
				 }
				   
				    event.getRegistry().register(mod.core_mp40);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mp40;
		    	gun.doll_core = mod.core_mp40;
		    }
		}bar.step("gun load");//end
		{
			mod.dollgun_idw	= new ItemDollGun_AR().setUnlocalizedName("dollgun_idw")
					.setRegistryName(mod.MOD_ID, "dollgun_idw").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_idw;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/idw.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/idw.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_idw;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_idw);
		    {
				 mod.core_idw	= new ItemDollCore(25, mod.dollgun_idw,  null).setUnlocalizedName("core_idw")
				    		.setRegistryName(mod.MOD_ID, "core_idw").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_idw;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_idw;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_idw;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_idw);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_idw;
		    	gun.doll_core = mod.core_idw;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_vector	= new ItemDollGun_AR().setUnlocalizedName("dollgun_vector")
					.setRegistryName(mod.MOD_ID, "dollgun_vector").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_vector;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/vector.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/vector.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_vector;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_vector);
		    {
				 mod.core_vector	= new ItemDollCore(25, mod.dollgun_vector,  null).setUnlocalizedName("core_vector")
				    		.setRegistryName(mod.MOD_ID, "core_vector").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_vector;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_vector;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_vector;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_vector);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_vector;
		    	gun.doll_core = mod.core_vector;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_ump9	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ump9")
					.setRegistryName(mod.MOD_ID, "dollgun_ump9").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ump9;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/ump9.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/ump9.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ump9;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ump9);
		    {
				 mod.core_ump9	= new ItemDollCore(25, mod.dollgun_ump9,  null).setUnlocalizedName("core_ump9")
				    		.setRegistryName(mod.MOD_ID, "core_ump9").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ump9;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ump9;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_ump9;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_ump9);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ump9;
		    	gun.doll_core = mod.core_ump9;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_ump45	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ump45")
					.setRegistryName(mod.MOD_ID, "dollgun_ump45").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ump45;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/ump45.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/ump45.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ump45;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ump45);
		    {
				 mod.core_ump45	= new ItemDollCore(25, mod.dollgun_ump45,  null).setUnlocalizedName("core_ump45")
				    		.setRegistryName(mod.MOD_ID, "core_ump45").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ump45;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ump45;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_ump45;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_ump45);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ump45;
		    	gun.doll_core = mod.core_ump45;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_ump40	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ump40")
					.setRegistryName(mod.MOD_ID, "dollgun_ump40").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ump40;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/ump40.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/ump40.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ump40;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ump40);
		    {
				 mod.core_ump40	= new ItemDollCore(25, mod.dollgun_ump40,  null).setUnlocalizedName("core_ump40")
				    		.setRegistryName(mod.MOD_ID, "core_ump40").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ump40;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ump40;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_ump40;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_ump40);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ump40;
		    	gun.doll_core = mod.core_ump40;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_tmp	= new ItemDollGun_AR().setUnlocalizedName("dollgun_tmp")
					.setRegistryName(mod.MOD_ID, "dollgun_tmp").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_tmp;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/tmp.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/tmp.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_tmp;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_tmp);
		    {
				 mod.core_tmp	= new ItemDollCore(25, mod.dollgun_tmp,  null).setUnlocalizedName("core_tmp")
				    		.setRegistryName(mod.MOD_ID, "core_tmp").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_tmp;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_tmp;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_tmp;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_tmp);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_tmp;
		    	gun.doll_core = mod.core_tmp;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_mab38	= new ItemDollGun_AR().setUnlocalizedName("dollgun_mab38")
					.setRegistryName(mod.MOD_ID, "dollgun_mab38").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mab38;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/mab38.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/mab38.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_mab38;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_mab38);
		    {
				 mod.core_mab38	= new ItemDollCore(25, mod.dollgun_mab38,  null).setUnlocalizedName("core_mab38")
				    		.setRegistryName(mod.MOD_ID, "core_mab38").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_mab38;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mab38;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_mab38;
					 ++mod.smg_id;
				 }
				   
				    event.getRegistry().register(mod.core_mab38);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mab38;
		    	gun.doll_core = mod.core_mab38;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_z62	= new ItemDollGun_AR().setUnlocalizedName("dollgun_z62")
					.setRegistryName(mod.MOD_ID, "dollgun_z62").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_z62;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/z62.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/z62.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_z62;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_z62);
		    {
				 mod.core_z62	= new ItemDollCore(25, mod.dollgun_z62,  null).setUnlocalizedName("core_z62")
				    		.setRegistryName(mod.MOD_ID, "core_z62").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_z62;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_z62;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_z62;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_z62);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_z62;
		    	gun.doll_core = mod.core_z62;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_suomi	= new ItemDollGun_AR().setUnlocalizedName("dollgun_suomi")
					.setRegistryName(mod.MOD_ID, "dollgun_suomi").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_suomi;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/suomi.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/suomi.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_suomi;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_suomi);
		    {
				 mod.core_suomi	= new ItemDollCore(25, mod.dollgun_suomi,  null).setUnlocalizedName("core_suomi")
				    		.setRegistryName(mod.MOD_ID, "core_suomi").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_suomi;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_suomi;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_suomi;
					 ++mod.smg_id;
				 }
				   
				    event.getRegistry().register(mod.core_suomi);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_suomi;
		    	gun.doll_core = mod.core_suomi;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_ro635	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ro635")
					.setRegistryName(mod.MOD_ID, "dollgun_ro635").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ro635;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/ro635.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/ro635.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ro635;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ro635);
		    {
				 mod.core_ro635	= new ItemDollCore(25, mod.dollgun_ro635,  null).setUnlocalizedName("core_ro635")
				    		.setRegistryName(mod.MOD_ID, "core_ro635").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ro635;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ro635;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_ro635;
					 ++mod.smg_id;
				 }
				   
				    event.getRegistry().register(mod.core_ro635);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ro635;
		    	gun.doll_core = mod.core_ro635;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_sr3mp	= new ItemDollGun_AR().setUnlocalizedName("dollgun_sr3mp")
					.setRegistryName(mod.MOD_ID, "dollgun_sr3mp").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sr3mp;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/sr3mp.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/sr3mp.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_sr3mp;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_sr3mp);
		    {
				 mod.core_sr3mp	= new ItemDollCore(25, mod.dollgun_sr3mp,  null).setUnlocalizedName("core_sr3mp")
				    		.setRegistryName(mod.MOD_ID, "core_sr3mp").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_sr3mp;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sr3mp;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_sr3mp;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_sr3mp);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sr3mp;
		    	gun.doll_core = mod.core_sr3mp;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_vz61	= new ItemDollGun_AR().setUnlocalizedName("dollgun_vz61")
					.setRegistryName(mod.MOD_ID, "dollgun_vz61").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_vz61;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/vz61.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/vz61.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_vz61;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_vz61);
		    {
				 mod.core_vz61	= new ItemDollCore(25, mod.dollgun_vz61,  mod.dollgun_vz61).setUnlocalizedName("core_vz61")
				    		.setRegistryName(mod.MOD_ID, "core_vz61").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_vz61;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_vz61;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_vz61;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_vz61);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_vz61;
		    	gun.doll_core = mod.core_vz61;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_stenmk2	= new ItemDollGun_AR().setUnlocalizedName("dollgun_stenmk2")
					.setRegistryName(mod.MOD_ID, "dollgun_stenmk2").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_stenmk2;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/stenmk2.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/stenmk2.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_stenmk2;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_stenmk2);
		    {
				 mod.core_stenmk2	= new ItemDollCore(25, mod.dollgun_stenmk2,  null).setUnlocalizedName("core_stenmk2")
				    		.setRegistryName(mod.MOD_ID, "core_stenmk2").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_stenmk2;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_stenmk2;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_stenmk2;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_stenmk2);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_stenmk2;
		    	gun.doll_core = mod.core_stenmk2;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_gr_g36c	= new ItemDollGun_AR().setUnlocalizedName("dollgun_gr_g36c")
					.setRegistryName(mod.MOD_ID, "dollgun_gr_g36c").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g36c;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/gr_g36c.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/gr_g36c.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_g36c;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_g36c);
		    {
				 mod.core_gr_g36c	= new ItemDollCore(25, mod.dollgun_gr_g36c,  null).setUnlocalizedName("core_gr_g36c")
				    		.setRegistryName(mod.MOD_ID, "core_gr_g36c").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_g36c;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g36c;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_gr_g36c;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_gr_g36c);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g36c;
		    	gun.doll_core = mod.core_gr_g36c;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_gr_mp5	= new ItemDollGun_AR().setUnlocalizedName("dollgun_gr_mp5")
					.setRegistryName(mod.MOD_ID, "dollgun_gr_mp5").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mp5;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/gr_mp5.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/gr_mp5.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_mp5;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_mp5);
		    {
				 mod.core_gr_mp5	= new ItemDollCore(25, mod.dollgun_gr_mp5,  null).setUnlocalizedName("core_gr_mp5")
				    		.setRegistryName(mod.MOD_ID, "core_gr_mp5").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_mp5;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mp5;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_gr_mp5;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_gr_mp5);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mp5;
		    	gun.doll_core = mod.core_gr_mp5;
		    }
		}bar.step("gun load");//end
		
		
		{//start
			mod.dollgun_pps43	= new ItemDollGun_AR().setUnlocalizedName("dollgun_pps43")
					.setRegistryName(mod.MOD_ID, "dollgun_pps43").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pps43;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/pps43.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/pps43.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_pps43;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_pps43);
		    {
				 mod.core_pps43	= new ItemDollCore(25, mod.dollgun_pps43,  null).setUnlocalizedName("core_pps43")
				    		.setRegistryName(mod.MOD_ID, "core_pps43").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_pps43;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pps43;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_pps43;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_pps43);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pps43;
		    	gun.doll_core = mod.core_pps43;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_mat49	= new ItemDollGun_AR().setUnlocalizedName("dollgun_mat49")
					.setRegistryName(mod.MOD_ID, "dollgun_mat49").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mat49;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/mat49.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/mat49.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_mat49;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_mat49);
		    {
				 mod.core_mat49	= new ItemDollCore(25, mod.dollgun_mat49,  mod.dollgun_mat49).setUnlocalizedName("core_mat49")
				    		.setRegistryName(mod.MOD_ID, "core_mat49").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_mat49;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mat49;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_mat49;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_mat49);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mat49;
		    	gun.doll_core = mod.core_mat49;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_type79	= new ItemDollGun_AR().setUnlocalizedName("dollgun_type79")
					.setRegistryName(mod.MOD_ID, "dollgun_type79").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type79;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/type79.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/type79.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_type79;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_type79);
		    {
				 mod.core_type79	= new ItemDollCore(25, mod.dollgun_type79,  null).setUnlocalizedName("core_type79")
				    		.setRegistryName(mod.MOD_ID, "core_type79").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_type79;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type79;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_type79;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_type79);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type79;
		    	gun.doll_core = mod.core_type79;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_kpist_m45	= new ItemDollGun_AR().setUnlocalizedName("dollgun_kpist_m45")
					.setRegistryName(mod.MOD_ID, "dollgun_kpist_m45").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_kpist_m45;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/kpist_m45.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/kpist_m45.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_kpist_m45;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_kpist_m45);
		    {
				 mod.core_kpist_m45	= new ItemDollCore(25, mod.dollgun_kpist_m45,  null).setUnlocalizedName("core_kpist_m45")
				    		.setRegistryName(mod.MOD_ID, "core_kpist_m45").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_kpist_m45;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_kpist_m45;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_kpist_m45;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_kpist_m45);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_kpist_m45;
		    	gun.doll_core = mod.core_kpist_m45;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_gr_mp7	= new ItemDollGun_AR().setUnlocalizedName("dollgun_gr_mp7")
					.setRegistryName(mod.MOD_ID, "dollgun_gr_mp7").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mp7;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/gr_mp7.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/gr_mp7.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_mp7;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_mp7);
		    {
				 mod.core_gr_mp7	= new ItemDollCore(25, mod.dollgun_gr_mp7,  null).setUnlocalizedName("core_gr_mp7")
				    		.setRegistryName(mod.MOD_ID, "core_gr_mp7").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_mp7;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mp7;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_gr_mp7;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_gr_mp7);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mp7;
		    	gun.doll_core = mod.core_gr_mp7;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_p90	= new ItemDollGun_AR().setUnlocalizedName("dollgun_p90")
					.setRegistryName(mod.MOD_ID, "dollgun_p90").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p90;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/p90.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/p90.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_p90;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_p90);
		    {
				 mod.core_p90	= new ItemDollCore(25, mod.dollgun_p90,  null).setUnlocalizedName("core_p90")
				    		.setRegistryName(mod.MOD_ID, "core_p90").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_p90;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p90;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_p90;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_p90);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p90;
		    	gun.doll_core = mod.core_p90;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_cms	= new ItemDollGun_AR().setUnlocalizedName("dollgun_cms")
					.setRegistryName(mod.MOD_ID, "dollgun_cms").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_cms;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/cms.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/cms.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_cms;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_cms);
		    {
				 mod.core_cms	= new ItemDollCore(25, mod.dollgun_cms,  null).setUnlocalizedName("core_cms")
				    		.setRegistryName(mod.MOD_ID, "core_cms").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_cms;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_cms;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_cms;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_cms);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_cms;
		    	gun.doll_core = mod.core_cms;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_fmg9	= new ItemDollGun_AR().setUnlocalizedName("dollgun_fmg9")
					.setRegistryName(mod.MOD_ID, "dollgun_fmg9").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fmg9;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/fmg9.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/fmg9.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_fmg9;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_fmg9);
		    {
				 mod.core_fmg9	= new ItemDollCore(25, mod.dollgun_fmg9,  null).setUnlocalizedName("core_fmg9")
				    		.setRegistryName(mod.MOD_ID, "core_fmg9").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_fmg9;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fmg9;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_fmg9;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_fmg9);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fmg9;
		    	gun.doll_core = mod.core_fmg9;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_ar57	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ar57")
					.setRegistryName(mod.MOD_ID, "dollgun_ar57").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ar57;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/ar57.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/ar57.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ar57;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ar57);
		    {
				 mod.core_ar57	= new ItemDollCore(25, mod.dollgun_ar57,  null).setUnlocalizedName("core_ar57")
				    		.setRegistryName(mod.MOD_ID, "core_ar57").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ar57;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ar57;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_ar57;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_ar57);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ar57;
		    	gun.doll_core = mod.core_ar57;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_m1928a1	= new ItemDollGun_AR().setUnlocalizedName("dollgun_m1928a1")
					.setRegistryName(mod.MOD_ID, "dollgun_m1928a1").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1928a1;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/m1928a1.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/m1928a1.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m1928a1;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m1928a1);
		    {
				 mod.core_m1928a1	= new ItemDollCore(25, mod.dollgun_m1928a1,  null).setUnlocalizedName("core_m1928a1")
				    		.setRegistryName(mod.MOD_ID, "core_m1928a1").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m1928a1;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1928a1;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_m1928a1;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_m1928a1);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1928a1;
		    	gun.doll_core = mod.core_m1928a1;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_pp19	= new ItemDollGun_AR().setUnlocalizedName("dollgun_pp19")
					.setRegistryName(mod.MOD_ID, "dollgun_pp19").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pp19;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/pp19.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/pp19.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_pp19;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_pp19);
		    {
				 mod.core_pp19	= new ItemDollCore(25, mod.dollgun_pp19,  null).setUnlocalizedName("core_pp19")
				    		.setRegistryName(mod.MOD_ID, "core_pp19").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_pp19;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pp19;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_pp19;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_pp19);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pp19;
		    	gun.doll_core = mod.core_pp19;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_ppsh41	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ppsh41")
					.setRegistryName(mod.MOD_ID, "dollgun_ppsh41").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ppsh41;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/ppsh41.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/ppsh41.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ppsh41;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ppsh41);
		    {
				 mod.core_ppsh41	= new ItemDollCore(25, mod.dollgun_ppsh41,  null).setUnlocalizedName("core_ppsh41")
				    		.setRegistryName(mod.MOD_ID, "core_ppsh41").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ppsh41;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ppsh41;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_ppsh41;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_ppsh41);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ppsh41;
		    	gun.doll_core = mod.core_ppsh41;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_m3	= new ItemDollGun_AR().setUnlocalizedName("dollgun_m3")
					.setRegistryName(mod.MOD_ID, "dollgun_m3").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m3;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/m3.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/m3.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m3;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m3);
		    {
				 mod.core_m3	= new ItemDollCore(25, mod.dollgun_m3,  null).setUnlocalizedName("core_m3")
				    		.setRegistryName(mod.MOD_ID, "core_m3").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m3;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m3;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_m3;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_m3);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m3;
		    	gun.doll_core = mod.core_m3;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_apc9k	= new ItemDollGun_AR().setUnlocalizedName("dollgun_apc9k")
					.setRegistryName(mod.MOD_ID, "dollgun_apc9k").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_apc9k;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/apc9k.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/apc9k.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_apc9k;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_apc9k);
		    {
				 mod.core_apc9k	= new ItemDollCore(25, mod.dollgun_apc9k,  mod.dollgun_apc9k).setUnlocalizedName("core_apc9k")
				    		.setRegistryName(mod.MOD_ID, "core_apc9k").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_apc9k;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_apc9k;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_apc9k;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_apc9k);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_apc9k;
		    	gun.doll_core = mod.core_apc9k;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_aug_para	= new ItemDollGun_AR().setUnlocalizedName("dollgun_aug_para")
					.setRegistryName(mod.MOD_ID, "dollgun_aug_para").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aug_para;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/aug_para.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/aug_para.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_aug_para;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_aug_para);
		    {
				 mod.core_aug_para	= new ItemDollCore(25, mod.dollgun_aug_para,  null).setUnlocalizedName("core_aug_para")
				    		.setRegistryName(mod.MOD_ID, "core_aug_para").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_aug_para;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aug_para;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_aug_para;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_aug_para);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aug_para;
		    	gun.doll_core = mod.core_aug_para;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_micro_uzi	= new ItemDollGun_AR().setUnlocalizedName("dollgun_micro_uzi")
					.setRegistryName(mod.MOD_ID, "dollgun_micro_uzi").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_micro_uzi;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/smg/micro_uzi.txt");
				LoadDollStatus.load(gun, mod, event, status, "smg/micro_uzi.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_micro_uzi;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_micro_uzi);
		    {
				 mod.core_micro_uzi	= new ItemDollCore(25, mod.dollgun_micro_uzi,  mod.dollgun_micro_uzi).setUnlocalizedName("core_micro_uzi")
				    		.setRegistryName(mod.MOD_ID, "core_micro_uzi").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_micro_uzi;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_micro_uzi;
					 core.craft_time = gun.doll_crafttime;
					 mod.smg_rare[mod.smg_id] = gun.doll_rare;
					 mod.smg_item[mod.smg_id] = mod.core_micro_uzi;
					 ++mod.smg_id;
				 }
				    
				    event.getRegistry().register(mod.core_micro_uzi);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_micro_uzi;
		    	gun.doll_core = mod.core_micro_uzi;
		    }
		}bar.step("gun load");//end
		
		net.minecraftforge.fml.common.ProgressManager.pop(bar);
	}
}
